Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.beans
Class StateClassAccessor

    java.lang.Object
      kodo.beans.StateClassAccessor

All Implemented Interfaces:
  ClassAccessor

    public class StateClassAccessor

extends Object
implements ClassAccessor

Implementation of `ClassAccessor` that uses a `OpenJPAStateManager` and a `ClassMetaData` to set and get field values.

Nested Class Summary
`class` | `StateClassAccessor.StateFieldAccessor`

Constructor Summary
`StateClassAccessor(Class forClass, StoreContext ctx)`

Method Summary
`boolean` | `equals(Object other)` Equality depends on the class described by the accessor.
`FieldAccessor[]` | `getFieldAccessors()`
`Class` | `getType()`
`int` | `hashCode()` Equality depends on the class described by the accessor.
`Object` | `newInstance()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StateClassAccessor

    public StateClassAccessor(Class forClass,
                              StoreContext ctx)

Method Detail

### getType

    public Class getType()

  Specified by:
    `getType` in interface `ClassAccessor`
  Returns:
    the type of the described class

### getFieldAccessors

    public FieldAccessor[] getFieldAccessors()

  Specified by:
    `getFieldAccessors` in interface `ClassAccessor`
  Returns:
    an array of accessors to access fields

### newInstance

    public Object newInstance()

  Specified by:
    `newInstance` in interface `ClassAccessor`
  Returns:
    a new instance of the type returned by `ClassAccessor.getType()`.

### hashCode

    public int hashCode()

  Description copied from interface: `ClassAccessor`
  Equality depends on the class described by the accessor.

  Specified by:
    `hashCode` in interface `ClassAccessor`
  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Description copied from interface: `ClassAccessor`
  Equality depends on the class described by the accessor.

  Specified by:
    `equals` in interface `ClassAccessor`
  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.